<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BizAccountPayload extends \Google\Protobuf\Internal\Message
{
    


    protected $vnameCert = null;
    


    protected $bizAcctLinkInfo = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getVnameCert()
    {
        return $this->vnameCert;
    }

    public function hasVnameCert()
    {
        return isset($this->vnameCert);
    }

    public function clearVnameCert()
    {
        unset($this->vnameCert);
    }

    




    public function setVnameCert($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\VerifiedNameCertificate::class);
        $this->vnameCert = $var;

        return $this;
    }

    



    public function getBizAcctLinkInfo()
    {
        return isset($this->bizAcctLinkInfo) ? $this->bizAcctLinkInfo : '';
    }

    public function hasBizAcctLinkInfo()
    {
        return isset($this->bizAcctLinkInfo);
    }

    public function clearBizAcctLinkInfo()
    {
        unset($this->bizAcctLinkInfo);
    }

    




    public function setBizAcctLinkInfo($var)
    {
        GPBUtil::checkString($var, False);
        $this->bizAcctLinkInfo = $var;

        return $this;
    }

}

